#ifndef TMUT_MSG_VIEW_H
#define TMUT_MSG_VIEW_H

/* TMut
 * Copyright (C) 2006-2007 Philip Van Hoof <pvanhoof@gnome.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with self library; if not, write to the
 * Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

#include <gtk/gtk.h>
#include <glib-object.h>
#include <tny-shared.h>

#include <tny-gtk-msg-view.h>

G_BEGIN_DECLS

#define TMUT_TYPE_MSG_VIEW             (tmut_msg_view_get_type ())
#define TMUT_MSG_VIEW(obj)             (G_TYPE_CHECK_INSTANCE_CAST ((obj), TMUT_TYPE_MSG_VIEW, TMutMsgView))
#define TMUT_MSG_VIEW_CLASS(vtable)    (G_TYPE_CHECK_CLASS_CAST ((vtable), TMUT_TYPE_MSG_VIEW, TMutMsgViewClass))
#define TMUT_IS_MSG_VIEW(obj)          (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TMUT_TYPE_MSG_VIEW))
#define TMUT_IS_MSG_VIEW_CLASS(vtable) (G_TYPE_CHECK_CLASS_TYPE ((vtable), TMUT_TYPE_MSG_VIEW))
#define TMUT_MSG_VIEW_GET_CLASS(inst)  (G_TYPE_INSTANCE_GET_CLASS ((inst), TMUT_TYPE_MSG_VIEW, TMutMsgViewClass))

typedef struct _TMutMsgView TMutMsgView;
typedef struct _TMutMsgViewClass TMutMsgViewClass;

struct _TMutMsgView
{
	GtkVBox parent;
};

struct _TMutMsgViewClass
{
	GtkVBoxClass parent_class;

	/* virtuals */

	/* Override this one if you want to provide your own menu items for
	 * reply and forward. The construction of this type will call this. Note
	 * that @self here is a GtkVBox and that you can add your widgets to it. */

	void (*create_menu_func) (TMutMsgView *self);
};

GType tmut_msg_view_get_type (void);
TnyMsgView* tmut_msg_view_new (TnyAccountStore *account_store);

void tmut_msg_view_set_view (TMutMsgView *self, TnyMsgView *view);

/* Preimplemented handlers for your action performers */
void tmut_msg_view_on_reply_activated (GObject *sender, TMutMsgView *self);
void tmut_msg_view_on_forward_activated (GObject *sender, TMutMsgView *self);

G_END_DECLS

#endif
