#ifndef TMUT_PLATFORM_FACTORY_H
#define TMUT_PLATFORM_FACTORY_H

/* TMut
 * Copyright (C) 2006-2007 Philip Van Hoof <pvanhoof@gnome.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with self library; if not, write to the
 * Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

#include <glib.h>
#include <glib-object.h>

#include <tny-platform-factory.h>

G_BEGIN_DECLS

#define TMUT_TYPE_PLATFORM_FACTORY             (tmut_platform_factory_get_type ())
#define TMUT_PLATFORM_FACTORY(obj)             (G_TYPE_CHECK_INSTANCE_CAST ((obj), TMUT_TYPE_PLATFORM_FACTORY, TMutPlatformFactory))
#define TMUT_PLATFORM_FACTORY_CLASS(vtable)    (G_TYPE_CHECK_CLASS_CAST ((vtable), TMUT_TYPE_PLATFORM_FACTORY, TMutPlatformFactoryClass))
#define TMUT_IS_PLATFORM_FACTORY(obj)          (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TMUT_TYPE_PLATFORM_FACTORY))
#define TMUT_IS_PLATFORM_FACTORY_CLASS(vtable) (G_TYPE_CHECK_CLASS_TYPE ((vtable), TMUT_TYPE_PLATFORM_FACTORY))
#define TMUT_PLATFORM_FACTORY_GET_CLASS(inst)  (G_TYPE_INSTANCE_GET_CLASS ((inst), TMUT_TYPE_PLATFORM_FACTORY, TMutPlatformFactoryClass))

typedef struct _TMutPlatformFactory TMutPlatformFactory;
typedef struct _TMutPlatformFactoryClass TMutPlatformFactoryClass;

struct _TMutPlatformFactory
{
	GObject parent;
};

struct _TMutPlatformFactoryClass 
{
	GObjectClass parent;
};

GType tmut_platform_factory_get_type (void);
TnyPlatformFactory* tmut_platform_factory_get_instance (void);

G_END_DECLS

#endif

