/* TMut
 * Copyright (C) 2006-2007 Philip Van Hoof <pvanhoof@gnome.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with self library; if not, write to the
 * Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

#if HAVE_CONFIG_H
#include "config.h"
#endif

#include <glib/gi18n-lib.h>

#include <tmut-shell-child.h>

void 
tmut_shell_child_set_window (TMutShellChild *self, TMutShellWindow *window)
{
#ifdef DEBUG
	if (!TMUT_SHELL_CHILD_GET_IFACE (self)->set_window_func)
		g_critical ("You must implement tmut_shell_child_set_window\n");
#endif

	TMUT_SHELL_CHILD_GET_IFACE (self)->set_window_func (self, window);

	return;
}

TMutShellWindow*
tmut_shell_child_get_window (TMutShellChild *self)
{
#ifdef DEBUG
	if (!TMUT_SHELL_CHILD_GET_IFACE (self)->get_window_func)
		g_critical ("You must implement tmut_shell_child_get_window\n");
#endif

	return TMUT_SHELL_CHILD_GET_IFACE (self)->get_window_func (self);
}

static void
tmut_shell_child_base_init (gpointer g_class)
{
	static gboolean initialized = FALSE;

	if (!initialized) {
		/* create interface signals here. */
		initialized = TRUE;
	}
}

GType
tmut_shell_child_get_type (void)
{
	static GType type = 0;

	if (G_UNLIKELY(type == 0))
	{
		static const GTypeInfo info = 
		{
		  sizeof (TMutShellChildIface),
		  tmut_shell_child_base_init,   /* base_init */
		  NULL,   /* base_finalize */
		  NULL,   /* class_init */
		  NULL,   /* class_finalize */
		  NULL,   /* class_data */
		  0,
		  0,      /* n_preallocs */
		  NULL    /* instance_init */
		};

		type = g_type_register_static (G_TYPE_INTERFACE, 
			"TMutShellChild", &info, 0);
	}

	return type;
}


