#ifndef TMUT_SHELL_CHILD_H
#define TMUT_SHELL_CHILD_H

/* TMut
 * Copyright (C) 2006-2007 Philip Van Hoof <pvanhoof@gnome.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with self library; if not, write to the
 * Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

#include <glib.h>
#include <glib-object.h>

#include <tmut-shared.h>
#include <tmut-shell-window.h>

G_BEGIN_DECLS

#define TMUT_TYPE_SHELL_CHILD             (tmut_shell_child_get_type ())
#define TMUT_SHELL_CHILD(obj)             (G_TYPE_CHECK_INSTANCE_CAST ((obj), TMUT_TYPE_SHELL_CHILD, TMutShellChild))
#define TMUT_IS_SHELL_CHILD(obj)          (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TMUT_TYPE_SHELL_CHILD))
#define TMUT_SHELL_CHILD_GET_IFACE(inst)  (G_TYPE_INSTANCE_GET_INTERFACE ((inst), TMUT_TYPE_SHELL_CHILD, TMutShellChildIface))

#ifndef TMUT_SHARED_H
typedef struct _TMutShellChild TMutShellChild;
typedef struct _TMutShellChildIface TMutShellChildIface;
#endif

struct _TMutShellChildIface
{
	GTypeInterface parent;

	void (*set_window_func) (TMutShellChild *self, TMutShellWindow *window);
	TMutShellWindow* (*get_window_func) (TMutShellChild *self);
};

GType tmut_shell_child_get_type (void);

TMutShellWindow* tmut_shell_child_get_window (TMutShellChild *self);
void tmut_shell_child_set_window (TMutShellChild *self, TMutShellWindow *window);

G_END_DECLS

#endif
