/* TMut
 * Copyright (C) 2006-2007 Philip Van Hoof <pvanhoof@gnome.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with self library; if not, write to the
 * Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

#if HAVE_CONFIG_H
#include "config.h"
#endif

#include <glib/gi18n-lib.h>

#include "tmut-tny-gtk-msg-view.h"
#include "tmut-header-view.h"

static GObjectClass *parent_class = NULL;

TnyMsgView*
tmut_tny_gtk_msg_view_new (void)
{
	TMutTnyGtkMsgView *self = g_object_new (TMUT_TYPE_TNY_GTK_MSG_VIEW, NULL);

	return TNY_MSG_VIEW (self);
}

static TnyHeaderView*
tmut_tny_gtk_msg_view_create_header_view (TnyGtkMsgView *self)
{
	return tmut_header_view_new ();
}



static void
tmut_tny_gtk_msg_view_finalize (GObject *object)
{
	(*parent_class->finalize) (object);

	return;
}

static void 
tmut_tny_gtk_msg_view_class_init (TMutTnyGtkMsgViewClass *class)
{
	GObjectClass *object_class;

	parent_class = g_type_class_peek_parent (class);
	object_class = (GObjectClass*) class;

	TNY_GTK_MSG_VIEW_CLASS (parent_class)->create_header_view_func = tmut_tny_gtk_msg_view_create_header_view;

	object_class->finalize = tmut_tny_gtk_msg_view_finalize;

	return;
}

static void
tmut_tny_gtk_msg_view_instance_init (GTypeInstance *instance, gpointer g_class)
{
	return;
}

GType 
tmut_tny_gtk_msg_view_get_type (void)
{
	static GType type = 0;

	if (G_UNLIKELY(type == 0))
	{
		static const GTypeInfo info = 
		{
		  sizeof (TMutTnyGtkMsgViewClass),
		  NULL,   /* base_init */
		  NULL,   /* base_finalize */
		  (GClassInitFunc) tmut_tny_gtk_msg_view_class_init,   /* class_init */
		  NULL,   /* class_finalize */
		  NULL,   /* class_data */
		  sizeof (TMutTnyGtkMsgView),
		  0,      /* n_preallocs */
		  tmut_tny_gtk_msg_view_instance_init,    /* instance_init */
		  NULL
		};

		type = g_type_register_static (TNY_TYPE_GTK_MSG_VIEW,
			"TMutTnyGtkMsgView",
			&info, 0);
	}

	return type;
}
